package com.wechat.model.requestDto;

import org.hibernate.validator.constraints.NotBlank;

/**
 * @ClassName: JsonResp
 * @Description: Json返回对象
 */
public class LoginByPhoneReq {

	private String openId; // 微信小程序的openId

	private String encryptedData; // 加密串

	private String iv; // 便宜量

	@NotBlank(message="参数不能为空|Params can not be empty.")
	public String getOpenId() {
		return openId;
	}

	public void setOpenId(String openId) {
		this.openId = openId;
	}

	@NotBlank(message="参数不能为空|Params can not be empty.")
	public String getEncryptedData() {
		return encryptedData;
	}

	public void setEncryptedData(String encryptedData) {
		this.encryptedData = encryptedData;
	}

	@NotBlank(message="参数不能为空|Params can not be empty.")
	public String getIv() {
		return iv;
	}

	public void setIv(String iv) {
		this.iv = iv;
	}

	
}
